import { ApiEmployersEmployerIdusersGetCollectionResponse } from '../client/generated/components';
import { EmployerUserViewUserGetCollection } from '../client/generated/schemas';

export const employers: EmployerUserViewUserGetCollection[] = [
  {
    id: 1,
    name: 'commune',
  },
];

export const users: ApiEmployersEmployerIdusersGetCollectionResponse = [
  {
    id: 1,
    login: 'directeur',
    firstname: 'Elliott',
    lastname: 'Torphy',
    email: 'mbernier@hotmail.com',
    phoneNumber: null,
    createdAt: '2023-08-31T09:05:21+00:00',
    picture: null,
    employer: employers[0],
    active: true,
    connectedAt: '2023-08-31T09:05:21+00:00',
    roles: ['ROLE_DIRECTOR'],
  },
  {
    id: 2,
    login: 'directeur-agent',
    firstname: 'Aric',
    lastname: 'Considine',
    phoneNumber: '+1.541.371.0726',
    createdAt: '2023-08-31T09:05:21+00:00',
    picture: null,
    employer: employers[0],
    active: true,
    connectedAt: '2023-08-31T09:05:21+00:00',
    roles: ['ROLE_DIRECTOR'],
  },
  {
    id: 3,
    login: 'agent',
    firstname: 'Kelley',
    lastname: 'Rohan',
    email: 'anastasia.walsh@yahoo.com',
    phoneNumber: '1-417-439-2814',
    createdAt: '2023-08-31T09:05:21+00:00',
    picture: {
      fileName: 'interventions/d113bac2dd19250b7222a69773f07eb3-1.webp',
      url: 'https://dev-aei.cellar-c2.services.clever-cloud.com/interventions/d113bac2dd19250b7222a69773f07eb3-1.webp?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FKAFOID6SUCPYPPKI6ZC%2F20230831%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20230831T121043Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=34fa7608a283595d981ae903760470b30033c34a038bb96aab528f0fb9dfc10f',
    },
    employer: employers[0],
    active: true,
    connectedAt: '2023-08-31T09:05:21+00:00',
    roles: ['ROLE_AGENT'],
  },
  {
    id: 4,
    login: 'agent2',
    firstname: 'Minerva',
    lastname: 'Lubowitz',
    phoneNumber: null,
    createdAt: '2023-08-31T09:05:21+00:00',
    picture: {
      fileName: 'interventions/5dcdfa4cf8c0cbeee92adce98c19157d-1.jpg',
      url: 'https://dev-aei.cellar-c2.services.clever-cloud.com/interventions/5dcdfa4cf8c0cbeee92adce98c19157d-1.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FKAFOID6SUCPYPPKI6ZC%2F20230831%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20230831T121043Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=6d163e2eaf5f07df5b5a5f90dc4e4f562732155e553a3ca14bd81876d0f93457',
    },
    employer: employers[0],
    active: true,
    connectedAt: '2023-08-31T09:05:21+00:00',
    roles: ['ROLE_AGENT'],
  },
  {
    id: 6,
    login: 'élu',
    firstname: 'Ezequiel',
    lastname: 'Stehr',
    phoneNumber: null,
    createdAt: '2023-08-31T09:05:21+00:00',
    picture: null,
    employer: employers[0],
    active: true,
    connectedAt: null,
    roles: ['ROLE_ELECTED'],
  },
];
